> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/html/click-to-new-tab.md).

# Click to New Tab

{% hint style="info" %}
WARNING avoid special symbols such as `(, ), [, ]` and similar in the texts of this component because it could break the look\&feel
{% endhint %}

Input variables:

```python
title: str
background_url: str
```

And accepts the following input variable as optional:

```python
href: Optional[str]
```

Example of use:

```python
s.plt.html(
    order=0,
    html=s.html_components.button_click_to_new_tab(
        title='Churn prediction & Explainability',
        background_url='https://cutt.ly/qJANGcX'
    )
)
```

![The text has a link embedded, all the space (cols\_size=12) of the component is clickable and will take you to a new window.](/files/lIOBbJbxARNl1YL8tOeb)

You can resize, change position and text at will, for example:

```python
s.plt.html(
    order=0, cols_size=5, padding='1,0,0,6',
    html=s.html_components.button_click_to_new_tab(
        title='Churn prediction & Explainability',
        background_url='https://cutt.ly/qJANGcX'
    )
)
```

![With padding='1,0,0,6', it has a new position. The order of spaces is Top, Right, Bottom, Left.](/files/vWcNq8Q8EXbhrN7s7TEt)

More on how to use the [Grid](/dev/building-web-app/grid.md).

#### Video demonstration <a href="#video-demonstration-of-the-bar-chart" id="video-demonstration-of-the-bar-chart"></a>

{% embed url="<https://www.loom.com/share/6d77a9e76e6c4cbe89ecd5b138c537dc>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/html/click-to-new-tab.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
